<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_e608e5b5c4c34a67ba97ef84" . "c1e16199" => base64_decode("Jw" . "=="), "_4d707fab93bebb00bbe69e8159697c9" . "0" => base64_decode(""), "_80453d7bea0ddc48af" . "e3e3c89e0b8aec" => base64_decode("Tm9uLWV4aXN0aW5nIHZhbGlkYXRpb24g" . "bWV0aG9kICc="), "_19d1237a" . "619f7b35a" . "d6dbebf02" . "5f17c8" => base64_decode("c3" . "Ry" . "Y2" . "1w"), "_7eacce07e2449116f62c94" . "64710c37f7" => base64_decode("cmVzZXQ" . "="), "_c06c961f3937" . "42ecfd52b7226" . "3ac9470" => base64_decode("aW5" . "0dm" . "Fs"), "_aed8da0f19091214b78f80351048517" . "c" => base64_decode("c3RybGV" . "u"), "_6edacb78bd55c5015af27c8ac1fc" . "d9af" => base64_decode("bWV0aG9kX" . "2V4aXN0cw" . "=="));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_7eacce07e" . "2449116f62" . "c9464710c3" . "7f7"]) != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4d707fab93bebb00bbe69e81596" . "97c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_6edacb78b" . "d55c5015af" . "27c8ac1fcd" . "9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_80453d7be" . "a0ddc48afe" . "3e3c89e0b8" . "aec"] . $validate_method . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_e608e5b5c4c34a67ba97e" . "f84c1e16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_aed8da0f19091214b78f803510485" . "17c"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_19d1237a619f7b35ad6dbebf025" . "f17c8"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_c06c961f393742ecfd52b722" . "63ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_aed8da0" . "f1909121" . "4b78f803" . "51048517" . "c"]($value);
    }
}